aboutsummaryrefslogtreecommitdiff
path: root/scripts/make.sh
diff options
context:
space:
mode:
authorElie De Brauwer <eliedebrauwer@gmail.com>2012-04-24 23:09:27 +0200
committerElie De Brauwer <eliedebrauwer@gmail.com>2012-04-24 23:09:27 +0200
commit0b11a16626867a362ed9aff3950650af94d1cfa7 (patch)
treeb65105be3dbfe176b73e6faa8760244c7e99bca1 /scripts/make.sh
parent7792f8f65310f5eecac79df8ce0a0cb5e0d83ea8 (diff)
downloadtoybox-0b11a16626867a362ed9aff3950650af94d1cfa7.tar.gz
Adding initial version of login.c
Diffstat (limited to 'scripts/make.sh')
-rwxr-xr-xscripts/make.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/make.sh b/scripts/make.sh
index 52380ecf..c5cee5bb 100755
--- a/scripts/make.sh
+++ b/scripts/make.sh
@@ -121,7 +121,7 @@ do_loudly()
}
do_loudly ${CROSS_COMPILE}${CC} $CFLAGS -I . -o toybox_unstripped $OPTIMIZE \
- main.c lib/*.c $TOYFILES -Wl,--as-needed,-lutil,--no-as-needed || exit 1
+ main.c lib/*.c $TOYFILES -Wl,--as-needed,-lutil,--no-as-needed -Wl,--as-needed,-lcrypt,--no-as-needed || exit 1
do_loudly ${CROSS_COMPILE}${STRIP} toybox_unstripped -o toybox || exit 1
# gcc 4.4's strip command is buggy, and doesn't set the executable bit on
# its output the way SUSv4 suggests it do so.